API Reference
Billing
Domains
Emails
Hooks applications
Hooks endpoints
Hooks event types
Hooks messages
Hooks portal
Log drains
Receiving
Risk
Suppressions
Tracking
Webhook endpoints
Delete a received email
DELETE
/v1/received_emails/{id}
Deletes the received email with its raw message and attachments right away, instead of at the end of its retention period.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
id*stringThe received email's id.
Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"The received email was deleted.
application/json- response
- response
- …
object*"received_email"Value in
"received_email"id*stringdeleted*trueValue in
trueimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.email.received.delete("rcvd_01k7c8m4q2f3e9v6t5r1n0p8yz");{ "object": "received_email", "id": "rcvd_01k7c8m4q2f3e9v6t5r1n0p8yz", "deleted": true}